import { useQuizStore } from "@/lib/quiz-store";
import { useRouter } from "next/navigation";
import React from "react";
import { useShallow } from "zustand/react/shallow";
import { Button } from "../ui/button";
// import { useNavigate } from 'react-router-dom'
// import { useDispatch, useSelector } from 'react-redux'
// import { gameEnded, nextQuestion } from '../features/questions/questionsSlice'

export const Next = () => {
  const router = useRouter();

  const { index, gameEnded, nextQuestion, questionsArray } = useQuizStore(
    useShallow((store) => ({
      index: store.index,
      gameEnded: store.gameEnded,
      nextQuestion: store.nextQuestion,
      questionsArray: store.questionsArray,
    })),
  );

  // const {index} = useSelector(store => store.questions)

  // const dispatch = useDispatch()
  // const navigate = useNavigate()

  const handleFinish = () => {
    gameEnded();
    router.push("/dashboard/quiz/results");
  };

  if (index < questionsArray.length - 1)
    return (
      <Button className="" onClick={nextQuestion}>
        Next
      </Button>
    );

  return (
    <Button className="" onClick={handleFinish}>
      Finish
    </Button>
  );
};
