import { useQuizStore } from "@/lib/quiz-store";
import React from "react";
import { useShallow } from "zustand/react/shallow";
import { Progress } from "../ui/progress";

export const ProgressBar = () => {
  const { index, points, answer, questionsArray } = useQuizStore(
    useShallow((store) => ({
      index: store.index,
      points: store.points,
      answer: store.answer,
      questionsArray: store.questionsArray,
    })),
  );

  return (
    <div className="space-y-2">
      <Progress
        value={(100 / questionsArray.length) * index}
        className="w-full h-4"
      />

      {/* <progress max="15" value={index + Number(answer !== null)} /> */}
      {/* <div className="flex justify-between"> */}
      <p>
        <strong>{index + 1}</strong> / {questionsArray.length}
      </p>
      {/* <p>
          <strong>{points}</strong> / 300
        </p> */}
      {/* </div> */}
    </div>
  );
};
