"use client";

// import { useNavigate } from "react-router-dom";
// import { SocialMedia } from "./SocialMedia";
// import { selectGameMode } from "../features/difficulty/difficultySlice";
// import { useDispatch } from "react-redux";
import { useRouter } from "next/navigation";
import { useQuizStore } from "@/lib/quiz-store";
import { useShallow } from "zustand/react/shallow";
import { Button } from "../ui/button";

export const StartScreen = () => {
  //   const dispatch = useDispatch();
  //   const navigate = useNavigate();
  const router = useRouter();

  const { selectGameMode } = useQuizStore(
    useShallow((store) => ({
      selectGameMode: store.selectGameMode,
    })),
  );

  const handleClick = (e: any) => {
    selectGameMode(e.target.value);
    router.push(`/dashboard/quiz/${e.target.value}`);
  };

  return (
    <div className="text-center mt-20">
      <h2 className="font-bold text-4xl">Welcome to The Trivia Quiz!</h2>
      <h3 className="font-bold text-xl mt-2">15 question to test your general knowledge</h3>
      <h4 className="mt-4 mb-2">First, choose the test difficulty:</h4>
      <div className="flex gap-2 justify-center">
        <Button
          // className="btn2"
          value="easy"
          onClick={handleClick}
          // style={{ backgroundColor: "#0ee32a" }}
        >
          Easy
        </Button>
        <Button
          // className="btn2"
          value="medium"
          onClick={handleClick}
          // style={{ backgroundColor: "#e3ce0e" }}
        >
          Medium
        </Button>
        <Button
          // className="btn2"
          value="hard"
          onClick={handleClick}
          // style={{ backgroundColor: "#fc2121" }}
        >
          Hard
        </Button>
      </div>
      {/* <SocialMedia /> */}
    </div>
  );
};
