import * as React from "react";

import {
  Select,
  SelectContent,
  SelectGroup,
  SelectItem,
  SelectLabel,
  SelectTrigger,
  SelectValue,
} from "@/components/ui/select";
// @ts-ignore
import monacoThemes from "monaco-themes/themes/themelist";
import { ScrollArea } from "@/components/ui/scroll-area";

export function ThemeDropdown({ handleThemeChange, theme }: any) {
  const themes = Object.entries(monacoThemes)
    // .filter(([themeId, themeName]) => themeId !== "cobalt2")
    .map(([themeId, themeName]) => ({
      label: themeName,
      value: themeId,
      key: themeId,
    }));

  return (
    <Select onValueChange={handleThemeChange} value={theme}>
      <SelectTrigger className="w-[150px]">
        <SelectValue placeholder="Select theme" />
      </SelectTrigger>
      <SelectContent>
        <ScrollArea className="h-96">
          <SelectGroup>
            <SelectLabel>Theme</SelectLabel>
            {themes.map(({ label, value, key }) => (
              <SelectItem className="cursor-pointer" key={key} value={value}>
                {label as string}
              </SelectItem>
            ))}
          </SelectGroup>
        </ScrollArea>
      </SelectContent>
    </Select>
  );
}
